BeanContextSupport.BCSIterator (Java Platform SE 8 )
Keywords: java.beans.beancontext.BeanContextSupport.BCSIterator class
Date: 2026-01-21

java.beans.beancontext

## Class BeanContextSupport.BCSIterator

- java.lang.Object
- - java.beans.beancontext.BeanContextSupport.BCSIterator

- All Implemented Interfaces:
    Iterator
  Enclosing class:
    BeanContextSupport

      protected static final class BeanContextSupport.BCSIterator
      extends Object
      implements Iterator

  protected final subclass that encapsulates an iterator but implements a noop remove() method.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Returns `true` if the iteration has more elements.
    `Object` | `next()` Returns the next element in the iteration.
    `void` | `remove()` Removes from the underlying collection the last element returned by this iterator (optional operation).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Description copied from interface: `Iterator`
      Returns `true` if the iteration has more elements. (In other words, returns `true` if `Iterator.next()` would return an element rather than throwing an exception.)
      Specified by:
        `hasNext` in interface `Iterator`
      Returns:
        `true` if the iteration has more elements

    - #### next

          public Object next()

      Description copied from interface: `Iterator`
      Returns the next element in the iteration.
      Specified by:
        `next` in interface `Iterator`
      Returns:
        the next element in the iteration

    - #### remove

          public void remove()

      Description copied from interface: `Iterator`
      Removes from the underlying collection the last element returned by this iterator (optional operation). This method can be called only once per call to `Iterator.next()`. The behavior of an iterator is unspecified if the underlying collection is modified while the iteration is in progress in any way other than by calling this method.
      Specified by:
        `remove` in interface `Iterator`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.